Subject: Re: bug#5754: Bytecomp Arithmetic test failed

From: Lennart Borgman <[email-masked]>
Date: Wed, 24 Mar 2010 23:52:29 +0100

On Wed, Mar 24, 2010 at 11:15 PM, Chong Yidong <[email-masked]> wrote:
> Lennart Borgman <[email-masked]> writes:
>
>>> Not when building Emacs, but there should be a make target like
>>> `make test'.  And when choosing a unit test framework to add to Emacs,
>>> the main criteria should be the ability to run tests in batch mode.
>>
>> Yes, there should such a target. But why don't you think it would be
>> run at the end of the build process?
>
> No, thanks.  It would be a nuisance for developers.

In what way?

The idea behind unit tests is to catch errors as soon as possible
after each change. Would not running the unit tests directly after
building help with that? Some problems are platform specific and will
perhaps show up during unit tests.